## hubzero-iptables-basic 2.1.0

=== Makefile ===
# @package      hubzero-iptables-basic
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2017 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2017 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

ETC=$(DESTDIR)/etc
USRSBIN=$(DESTDIR)/usr/sbin

all:
	@true

install:
	install --mode 0755 -D hubzero-iptables-basic $(USRSBIN)/hubzero-iptables-basic
	install --mode 0755 -D hubzero-iptables-basic.init $(ETC)/init.d/hubzero-iptables-basic
	if [ -d /etc/sysconfig ]; then install --mode 0755 -D hubzero-iptables-basic.default $(ETC)/sysconfig/hubzero-iptables-basic ; fi
	if [ ! -d /etc/sysconfig ]; then install --mode 0755 -D hubzero-iptables-basic.default $(ETC)/default/hubzero-iptables-basic ; fi

uninstall:
	@true

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-iptables-basic 2.1.1

=== Makefile ===
--- 
+++ 
@@ -36,8 +36,8 @@
 install:
 	install --mode 0755 -D hubzero-iptables-basic $(USRSBIN)/hubzero-iptables-basic
 	install --mode 0755 -D hubzero-iptables-basic.init $(ETC)/init.d/hubzero-iptables-basic
-	if [ -d /etc/sysconfig ]; then install --mode 0755 -D hubzero-iptables-basic.default $(ETC)/sysconfig/hubzero-iptables-basic ; fi
-	if [ ! -d /etc/sysconfig ]; then install --mode 0755 -D hubzero-iptables-basic.default $(ETC)/default/hubzero-iptables-basic ; fi
+	if [ -d /etc/debian_version ]; then install --mode 0755 -D hubzero-iptables-basic.default $(ETC)/sysconfig/hubzero-iptables-basic ; fi
+	if [ -d /etc/redhat-release ]; then install --mode 0755 -D hubzero-iptables-basic.default $(ETC)/default/hubzero-iptables-basic ; fi
 
 uninstall:
 	@true

## hubzero-iptables-basic 2.2.0

=== Makefile ===
--- 
+++ 
@@ -36,8 +36,8 @@
 install:
 	install --mode 0755 -D hubzero-iptables-basic $(USRSBIN)/hubzero-iptables-basic
 	install --mode 0755 -D hubzero-iptables-basic.init $(ETC)/init.d/hubzero-iptables-basic
-	if [ -d /etc/debian_version ]; then install --mode 0755 -D hubzero-iptables-basic.default $(ETC)/sysconfig/hubzero-iptables-basic ; fi
-	if [ -d /etc/redhat-release ]; then install --mode 0755 -D hubzero-iptables-basic.default $(ETC)/default/hubzero-iptables-basic ; fi
+	if [ -f /etc/debian_version ]; then install --mode 0640 -D hubzero-iptables-basic.default $(ETC)/default/hubzero-iptables-basic ; fi
+	if [ -f /etc/redhat-release ]; then install --mode 0640 -D hubzero-iptables-basic.default $(ETC)/sysconfig/hubzero-iptables-basic ; fi
 
 uninstall:
 	@true

## hubzero-iptables-basic 2.2.5-1+deb9

=== debian/changelog ===
hubzero-iptables-basic (2.2.5-1+deb9) unstable; urgency=low

  * add support for Debian 9

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 17 Apr 2019 15:23:11 -0400

hubzero-iptables-basic (2.2.4-1) unstable; urgency=low

  * flag service as on in rpm postinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 17 Dec 2018 13:46:49 -0500

hubzero-iptables-basic (2.2.3-1) unstable; urgency=low

  * add fail2ban as package dependency

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 26 Jun 2018 11:38:13 -0400

hubzero-iptables-basic (2.2.2-1) unstable; urgency=low

  * add conflict to debian packaged hubzero-firewall

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 25 Jun 2018 15:42:19 -0400

hubzero-iptables-basic (2.2.1-1) unstable; urgency=low

  * add front-proxy and static nfs rules

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 15 Jun 2018 15:40:51 -0400

hubzero-iptables-basic (2.2.0-1) unstable; urgency=low

  * packaging update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 10 Apr 2018 13:21:11 -0400

hubzero-iptables-basic (2.1.1-1) unstable; urgency=low

  * add support for Debian 8

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 10 Aug 2017 11:34:16 -0400

hubzero-iptables-basic (2.1.0-1) unstable; urgency=low

  * package rename and rewrite, separate from hubzero-mw-iptables-basic

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 17 Jul 2017 14:50:44 -0400

hubzero-firewall (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 29 Aug 2015 23:52:21 -0400

hubzero-firewall (1.3.2-1) unstable; urgency=low

  * remove init.d dependency on virtual $all facility

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 29 Aug 2015 18:15:58 -0400

hubzero-firewall (1.3.1-1) unstable; urgency=low

  * update copyrights

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Feb 2015 13:09:40 -0500

hubzero-firewall (1.2.0-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 08 Sep 2014 13:29:58 -0400

hubzero-firewall (1.1.4-1) unstable; urgency=low

  * repackaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Aug 2013 19:39:25 -0400

hubzero-firewall (1.1.3-1) unstable; urgency=low

  * Update copyright statements

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 16 Aug 2013 18:43:35 -0400

hubzero-firewall (1.1.2-1) unstable; urgency=low

  * make iptables dependency explicit

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 12:14:10 -0400

hubzero-firewall (1.1.1-1) unstable; urgency=low

  * update HUBzero Foundation, LLC copyrights and Debian 6 packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 07 Sep 2012 19:21:34 -0400

hubzero-firewall (1.1.0-1) unstable; urgency=low

  * fix lintian errors, start firewall with init.d rather than rc.boot

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Mar 2012 13:41:29 -0400

hubzero-firewall (1.0.0-1) testing; urgency=low

  * Update to 1.0

 -- John Rosheck <jrosheck@purdue.edu>  Thu, 07 Apr 2011 23:59:47 -0400

hubzero-firewall (0.9.0-1) testing; urgency=low

  * changed name to hubzero-firewall
  * readded call to bring up firewall in postinst script

 -- John Rosheck <jrosheck@purdue.edu>  Thu, 31 Mar 2011 15:25:22 -0400

hubzero-mw-firewall (0.9.0-1) testing; urgency=low

  * updated copyright, changed directory references from /etc/mw to 
   /etc/hubzero same with thoses in /var/lib and /var/log.  Cleaned up
   debian directory.

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 04 Mar 2011 00:03:55 -0500

hubzero-mw-firewall (0.8.2-1) unstable; urgency=low

  * Non-maintainer upload.
  * Updated version to prevent conflict in repository, marked as unstable

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 24 Sep 2010 16:32:45 -0400

hubzero-mw-firewall (0.8.1-1) stable; urgency=low

  * remove symlink from upstream makefile

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Apr 2010 18:37:13 -0400

hubzero-mw-firewall (0.8.0-2) stable; urgency=low

  * make symlink from postinst 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Apr 2010 18:34:58 -0400

hubzero-mw-firewall (0.8.0-1) stable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Apr 2010 18:16:07 -0400

=== debian/control ===
Source: hubzero-iptables-basic
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-iptables-basic
Architecture: all
Depends: lsb-base, iptables, fail2ban, ${misc:Depends}
Replaces: hubzero-firewall
Conflicts: hubzero-firewall
Description: HUBzero sample iptables firewall
 A basic iptables firewall for use with HUBzero.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-iptables-basic
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2017 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2017 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean
	rm -f debian/hubzero-iptables-basic.init
	rm -f debian/hubzero-iptables-basic.default

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-iptables-basic install
	cp hubzero-iptables-basic.init debian/hubzero-iptables-basic.init
	cp hubzero-iptables-basic.default debian/hubzero-iptables-basic.default

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-iptables-basic 2.2.8-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-iptables-basic
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2017 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2017 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 ETC=$(DESTDIR)/etc

=== debian/changelog ===
hubzero-iptables-basic (2.2.8-1+deb9) unstable; urgency=low

  * fix changelog formatting

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 18 Aug 2020 20:26:11 -0700

hubzero-iptables-basic (2.2.7-1) unstable; urgency=low

  * update rpm dependencies specific to rhel release (avoid requiring firewalld)

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 28 Apr 2020 14:59:48 -0700

hubzero-iptables-basic (2.2.6-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Sun, 12 Apr 2020 18:21:34 -0700

hubzero-iptables-basic (2.2.5-1) unstable; urgency=low

  * add support for Debian 9

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 17 Apr 2019 15:23:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hubzero-iptables-basic
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
 Build-Depends: debhelper (>= 8.0.0)
 Standards-Version: 3.8.4
 Homepage: http://hubzero.org

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-iptables-basic
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2017 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2017 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
